package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkUserProject;
import cn.wisenergy.model.dto.UserProjectDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkUserProjectMapper extends BaseMapper<WorkUserProject> {

    List<UserProjectDto> getUserByProjectId(Integer projectId);

    int deleteByProjectId(Integer projectId);

    int insertBatch(@Param("userIds") List<Integer> userIds,@Param("projectId") Integer projectId);

    List<Integer> selectUserIdByProjectIds(@Param("projectIds") List<Integer> projectIds);
}
